Sponsored Links

PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!
Sponsored Links
Sponsored Links
Results 1 to 3 of 3



  1. #1
    Banned User tranvanthien's Avatar
    Sponsored Links

    [Answered] Which FW is need to play Castlevania Lords of Shadow ?

    Sponsored Links
    Hi all !

    Anybody know that ? I don't want to lose FW 3.15. Can i used PS jailbreak to cheat that game dont check firmware ?

    thank you very much
    Best Answer - Posted by mikerock98:

    The Param says the firmware required is 3.41 on my BLUS30339 (gameid) copy of the game.

  2. #2
    Sponsored Links
    Not as far as I know, i'm pretty sure it requires v3.41 - but now that there's games coming out not working on that fw something will probably come out shortly to bypass the version check.

  3. #3
    The Param says the firmware required is 3.41 on my BLUS30339 (gameid) copy of the game.

 

Sponsored Links
Advertising - Affiliates - Contact Us - PS4 Downloads - PS4 Forums - Privacy Statement - Site Rules - Top - © 2015 PlayStation 4 News